Skip to main content
GET
/
v1
/
pipelines
/
{id}
Get a pipeline
curl --request GET \
  --url https://api.slant.app/v1/pipelines/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "pipeline123xyz",
  "name": "Sales Pipeline",
  "pipeline_type": "prospect",
  "book_id": "book123xyz",
  "pipeline_stages": [
    {
      "id": "stage123xyz",
      "name": "Qualified",
      "stage_order": 1,
      "visible": true,
      "default_probability": 50
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.slant.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Path Parameters

id
string
required

The pipeline ID

Response

successful

id
string
required

The pipeline ID

Example:

"pipeline123xyz"

name
string
required

The name of the pipeline

Example:

"Sales Pipeline"

pipeline_type
enum<string>
required

The pipeline type

Available options:
prospect,
client
Example:

"prospect"

book_id
string | null

The book ID

Example:

"book123xyz"

pipeline_stages
object[]

Ordered pipeline stages